org.apache.ignite.ml.tree

## Class DecisionTreeRegressionTrainer

- java.lang.Object
- - org.apache.ignite.ml.trainers.DatasetTrainer<M,Double>
  - - org.apache.ignite.ml.trainers.SingleLabelDatasetTrainer<DecisionTreeModel>
    - - org.apache.ignite.ml.tree.DecisionTreeTrainer<MSEImpurityMeasure>
      - - org.apache.ignite.ml.tree.DecisionTreeRegressionTrainer

-     public class DecisionTreeRegressionTrainer
      extends DecisionTreeTrainer<MSEImpurityMeasure>

  Decision tree regressor based on distributed decision tree trainer that allows to fit trees using row-partitioned dataset.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `DatasetTrainer.EmptyDatasetException`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.tree.DecisionTreeTrainer

      `usingIdx`

    - ### Fields inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `envBuilder, environment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionTreeRegressionTrainer(int maxDeep, double minImpurityDecrease)` Constructs a new decision tree regressor with default impurity function compressor.
    `DecisionTreeRegressionTrainer(int maxDeep, double minImpurityDecrease, StepFunctionCompressor<MSEImpurityMeasure> compressor)` Constructs a new decision tree regressor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ImpurityMeasureCalculator<MSEImpurityMeasure>` | `getImpurityMeasureCalculator(Dataset<EmptyContext,DecisionTreeData> dataset)` Returns impurity measure calculator.
    `DecisionTreeRegressionTrainer` | `withEnvironmentBuilder(LearningEnvironmentBuilder envBuilder)` Changes learning Environment.
    `DecisionTreeRegressionTrainer` | `withUsingIdx(boolean usingIdx)` Sets usingIdx parameter and returns trainer instance.

    - ### Methods inherited from class org.apache.ignite.ml.tree.DecisionTreeTrainer

      `fit, fitWithInitializedDeployingContext, isUpdateable, printTree, updateModel`

    - ### Methods inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `fit, fit, fit, fit, fit, fit, getLastTrainedModelOrThrowEmptyDatasetException, identityTrainer, learningEnvironment, update, update, update, update, update, withConvertedLabels`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecisionTreeRegressionTrainer

          public DecisionTreeRegressionTrainer(int maxDeep,
                                               double minImpurityDecrease)

      Constructs a new decision tree regressor with default impurity function compressor.
      Parameters:
        `maxDeep` - Max tree deep.
        `minImpurityDecrease` - Min impurity decrease.

    - #### DecisionTreeRegressionTrainer

          public DecisionTreeRegressionTrainer(int maxDeep,
                                               double minImpurityDecrease,
                                               StepFunctionCompressor<MSEImpurityMeasure> compressor)

      Constructs a new decision tree regressor.
      Parameters:
        `maxDeep` - Max tree deep.
        `minImpurityDecrease` - Min impurity decrease.

  - ### Method Detail

    - #### withUsingIdx

          public DecisionTreeRegressionTrainer withUsingIdx(boolean usingIdx)

      Sets usingIdx parameter and returns trainer instance.
      Parameters:
        `usingIdx` - Use index.
      Returns:
        Decision tree trainer.

    - #### getImpurityMeasureCalculator

          protected ImpurityMeasureCalculator<MSEImpurityMeasure> getImpurityMeasureCalculator(Dataset<EmptyContext,DecisionTreeData> dataset)

      Returns impurity measure calculator.
      Specified by:
        `getImpurityMeasureCalculator` in class `DecisionTreeTrainer<MSEImpurityMeasure>`
      Parameters:
        `dataset` - Dataset.
      Returns:
        Impurity measure calculator.

    - #### withEnvironmentBuilder

          public DecisionTreeRegressionTrainer withEnvironmentBuilder(LearningEnvironmentBuilder envBuilder)

      Changes learning Environment.
      Overrides:
        `withEnvironmentBuilder` in class `DecisionTreeTrainer<MSEImpurityMeasure>`
      Parameters:
        `envBuilder` - Learning environment builder.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021